PoolBackedDataSource (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0

## Class PoolBackedDataSource

- java.lang.Object
- - com.mchange.v2.c3p0.impl.AbstractIdentityTokenized
  - - com.mchange.v2.c3p0.impl.IdentityTokenResolvable
    - - com.mchange.v2.c3p0.impl.PoolBackedDataSourceBase
      - - com.mchange.v2.c3p0.impl.AbstractPoolBackedDataSource
        - - com.mchange.v2.c3p0.PoolBackedDataSource

- All Implemented Interfaces:
    IdentityTokenized, PooledDataSource, java.io.Serializable, java.sql.Wrapper, javax.naming.Referenceable, javax.sql.CommonDataSource, javax.sql.DataSource

      public final class PoolBackedDataSource
      extends AbstractPoolBackedDataSource
      implements PooledDataSource

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.mchange.v2.c3p0.impl.PoolBackedDataSourceBase

      `pcs, vcs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PoolBackedDataSource()`
    `PoolBackedDataSource(boolean autoregister)`
    `PoolBackedDataSource(java.lang.String configName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString(boolean show_config)`

    - ### Methods inherited from class com.mchange.v2.c3p0.impl.AbstractPoolBackedDataSource

      `close, close, getAllUsers, getConnection, getConnection, getDataSourceName, getEffectivePropertyCycle, getEffectivePropertyCycleDefaultUser, getLastAcquisitionFailure, getLastAcquisitionFailureDefaultUser, getLastCheckinFailure, getLastCheckinFailureDefaultUser, getLastCheckoutFailure, getLastCheckoutFailureDefaultUser, getLastConnectionTestFailure, getLastConnectionTestFailureDefaultUser, getLastIdleTestFailure, getLastIdleTestFailureDefaultUser, getLoginTimeout, getLogWriter, getNumBusyConnections, getNumBusyConnections, getNumBusyConnectionsAllUsers, getNumBusyConnectionsDefaultUser, getNumConnections, getNumConnections, getNumConnectionsAllUsers, getNumConnectionsDefaultUser, getNumFailedCheckins, getNumFailedCheckinsDefaultUser, getNumFailedCheckouts, getNumFailedCheckoutsDefaultUser, getNumFailedIdleTests, getNumFailedIdleTestsDefaultUser, getNumIdleConnections, getNumIdleConnections, getNumIdleConnectionsAllUsers, getNumIdleConnectionsDefaultUser, getNumThreadsAwaitingCheckout, getNumThreadsAwaitingCheckoutDefaultUser, getNumUnclosedOrphanedConnections, getNumUnclosedOrphanedConnections, getNumUnclosedOrphanedConnectionsAllUsers, getNumUnclosedOrphanedConnectionsDefaultUser, getNumUserPools, getStartTimeMillis, getStartTimeMillisDefaultUser, getStatementCacheNumCheckedOut, getStatementCacheNumCheckedOutDefaultUser, getStatementCacheNumCheckedOutStatementsAllUsers, getStatementCacheNumConnectionsWithCachedStatements, getStatementCacheNumConnectionsWithCachedStatementsAllUsers, getStatementCacheNumConnectionsWithCachedStatementsDefaultUser, getStatementCacheNumStatements, getStatementCacheNumStatementsAllUsers, getStatementCacheNumStatementsDefaultUser, getStatementDestroyerNumActiveThreads, getStatementDestroyerNumConnectionsInUse, getStatementDestroyerNumConnectionsInUseAllUsers, getStatementDestroyerNumConnectionsInUseDefaultUser, getStatementDestroyerNumConnectionsWithDeferredDestroyStatements, getStatementDestroyerNumConnectionsWithDeferredDestroyStatementsAllUsers, getStatementDestroyerNumConnectionsWithDeferredDestroyStatementsDefaultUser, getStatementDestroyerNumDeferredDestroyStatements, getStatementDestroyerNumDeferredDestroyStatementsAllUsers, getStatementDestroyerNumDeferredDestroyStatementsDefaultUser, getStatementDestroyerNumIdleThreads, getStatementDestroyerNumTasksPending, getStatementDestroyerNumThreads, getThreadPoolNumActiveThreads, getThreadPoolNumIdleThreads, getThreadPoolNumTasksPending, getThreadPoolSize, getUpTimeMillis, getUpTimeMillisDefaultUser, hardReset, initializeNamedConfig, isWrapperFor, isWrapperForThis, resetPoolManager, resetPoolManager, sampleLastAcquisitionFailureStackTrace, sampleLastAcquisitionFailureStackTraceDefaultUser, sampleLastCheckinFailureStackTrace, sampleLastCheckinFailureStackTraceDefaultUser, sampleLastCheckoutFailureStackTrace, sampleLastCheckoutFailureStackTraceDefaultUser, sampleLastConnectionTestFailureStackTrace, sampleLastConnectionTestFailureStackTraceDefaultUser, sampleLastIdleTestFailureStackTrace, sampleLastIdleTestFailureStackTraceDefaultUser, sampleStatementCacheStatus, sampleStatementCacheStatusDefaultUser, sampleStatementDestroyerStackTraces, sampleStatementDestroyerStatus, sampleThreadPoolStackTraces, sampleThreadPoolStatus, setLoginTimeout, setLogWriter, softReset, softResetAllUsers, softResetDefaultUser, unwrap`

    - ### Methods inherited from class com.mchange.v2.c3p0.impl.PoolBackedDataSourceBase

      `addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, extraToStringInfo, getConnectionPoolDataSource, getExtensions, getFactoryClassLocation, getIdentityToken, getNumHelperThreads, getParentLogger, getPropertyChangeListeners, getPropertyChangeSupport, getReference, getVetoableChangeListeners, getVetoableChangeSupport, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, setConnectionPoolDataSource, setDataSourceName, setExtensions, setFactoryClassLocation, setIdentityToken, setNumHelperThreads, toString`

    - ### Methods inherited from class com.mchange.v2.c3p0.impl.IdentityTokenResolvable

      `doResolve, readResolve, verifyResolve`

    - ### Methods inherited from class com.mchange.v2.c3p0.impl.AbstractIdentityTokenized

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.mchange.v2.c3p0.PooledDataSource

      `close, close, getAllUsers, getDataSourceName, getEffectivePropertyCycle, getEffectivePropertyCycleDefaultUser, getExtensions, getIdentityToken, getLastAcquisitionFailure, getLastAcquisitionFailureDefaultUser, getLastCheckinFailure, getLastCheckinFailureDefaultUser, getLastCheckoutFailure, getLastCheckoutFailureDefaultUser, getLastConnectionTestFailure, getLastConnectionTestFailureDefaultUser, getLastIdleTestFailure, getLastIdleTestFailureDefaultUser, getNumBusyConnections, getNumBusyConnections, getNumBusyConnectionsAllUsers, getNumBusyConnectionsDefaultUser, getNumConnections, getNumConnections, getNumConnectionsAllUsers, getNumConnectionsDefaultUser, getNumFailedCheckinsDefaultUser, getNumFailedCheckoutsDefaultUser, getNumFailedIdleTestsDefaultUser, getNumHelperThreads, getNumIdleConnections, getNumIdleConnections, getNumIdleConnectionsAllUsers, getNumIdleConnectionsDefaultUser, getNumThreadsAwaitingCheckout, getNumThreadsAwaitingCheckoutDefaultUser, getNumUnclosedOrphanedConnections, getNumUnclosedOrphanedConnections, getNumUnclosedOrphanedConnectionsAllUsers, getNumUnclosedOrphanedConnectionsDefaultUser, getNumUserPools, getStartTimeMillisDefaultUser, getStatementCacheNumCheckedOut, getStatementCacheNumCheckedOutDefaultUser, getStatementCacheNumCheckedOutStatementsAllUsers, getStatementCacheNumConnectionsWithCachedStatements, getStatementCacheNumConnectionsWithCachedStatementsAllUsers, getStatementCacheNumConnectionsWithCachedStatementsDefaultUser, getStatementCacheNumStatements, getStatementCacheNumStatementsAllUsers, getStatementCacheNumStatementsDefaultUser, getStatementDestroyerNumActiveThreads, getStatementDestroyerNumConnectionsInUse, getStatementDestroyerNumConnectionsInUseAllUsers, getStatementDestroyerNumConnectionsInUseDefaultUser, getStatementDestroyerNumConnectionsWithDeferredDestroyStatements, getStatementDestroyerNumConnectionsWithDeferredDestroyStatementsAllUsers, getStatementDestroyerNumConnectionsWithDeferredDestroyStatementsDefaultUser, getStatementDestroyerNumDeferredDestroyStatements, getStatementDestroyerNumDeferredDestroyStatementsAllUsers, getStatementDestroyerNumDeferredDestroyStatementsDefaultUser, getStatementDestroyerNumIdleThreads, getStatementDestroyerNumTasksPending, getStatementDestroyerNumThreads, getThreadPoolNumActiveThreads, getThreadPoolNumIdleThreads, getThreadPoolNumTasksPending, getThreadPoolSize, getUpTimeMillisDefaultUser, hardReset, sampleLastAcquisitionFailureStackTrace, sampleLastAcquisitionFailureStackTraceDefaultUser, sampleLastCheckinFailureStackTrace, sampleLastCheckinFailureStackTraceDefaultUser, sampleLastCheckoutFailureStackTrace, sampleLastCheckoutFailureStackTraceDefaultUser, sampleLastConnectionTestFailureStackTrace, sampleLastConnectionTestFailureStackTraceDefaultUser, sampleLastIdleTestFailureStackTrace, sampleLastIdleTestFailureStackTraceDefaultUser, sampleStatementCacheStatus, sampleStatementCacheStatusDefaultUser, sampleStatementDestroyerStackTraces, sampleStatementDestroyerStatus, sampleThreadPoolStackTraces, sampleThreadPoolStatus, setDataSourceName, setExtensions, softReset, softResetAllUsers, softResetDefaultUser`

    - ### Methods inherited from interface javax.sql.DataSource

      `getConnection, getConnection`

    - ### Methods inherited from interface javax.sql.CommonDataSource

      `getLoginTimeout, getLogWriter, getParentLogger, setLoginTimeout, setLogWriter`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Constructor Detail

    - #### PoolBackedDataSource

          public PoolBackedDataSource(boolean autoregister)

    - #### PoolBackedDataSource

          public PoolBackedDataSource()

    - #### PoolBackedDataSource

          public PoolBackedDataSource(java.lang.String configName)

  - ### Method Detail

    - #### toString

          public java.lang.String toString(boolean show_config)

      Specified by:
        `toString` in class `AbstractPoolBackedDataSource`